Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTreeUI.MouseInputHandler

java.lang.Object
javax.swing.plaf.basic.BasicTreeUI.MouseInputHandler

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `EventListener`, `MouseInputListener`

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.MouseInputHandler
    extends Object
    implements MouseInputListener

MouseInputHandler handles passing all mouse events, including mouse motion events, until the mouse is released to the destination it is constructed with. It is assumed all the events are currently target at source.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected Component` | `destination` | Destination that receives all events.
`protected Component` | `source` | Source that events are coming from.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MouseInputHandler​(Component source, Component destination, MouseEvent event)` | Constructs a new instance of `MouseInputHandler`.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected void` | `removeFromSource()` | Removes an event from the source.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.MouseListener

`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

### Methods declared in interface java.awt.event.MouseMotionListener

`mouseDragged, mouseMoved`

## Field Details

### source

protected Component source
Source that events are coming from.

### destination

protected Component destination
Destination that receives all events.

## Constructor Details

### MouseInputHandler

public MouseInputHandler​(Component source, Component destination, MouseEvent event)
Constructs a new instance of `MouseInputHandler`.

Parameters:
  `source` - a source component
  `destination` - a destination component
  `event` - a mouse event

## Method Details

### removeFromSource

protected void removeFromSource()
Removes an event from the source.